summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-themes/tango-icon-theme/tango-icon-theme-0.8.90-r1.ebuild')
-rw-r--r--x11-themes/tango-icon-theme/tango-icon-theme-0.8.90-r1.ebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90-r1.ebuild b/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90-r1.ebuild
new file mode 100644
index 000000000000..3b244b172dbf
--- /dev/null
+++ b/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit gnome2-utils
+
+DESCRIPTION="SVG and PNG icon theme from the Tango project"
+HOMEPAGE="http://tango.freedesktop.org"
+SRC_URI="http://tango.freedesktop.org/releases/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="minimal png"
+
+RDEPEND="!hppa? ( !minimal? ( x11-themes/adwaita-icon-theme ) )
+ >=x11-themes/hicolor-icon-theme-0.12"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig
+ >=gnome-base/librsvg-2.34
+ virtual/imagemagick-tools[png?]
+ sys-devel/gettext
+ >=x11-misc/icon-naming-utils-0.8.90"
+
+RESTRICT="binchecks strip"
+
+DOCS="AUTHORS ChangeLog README"
+
+src_prepare() {
+ sed -i -e '/svgconvert_prog/s:rsvg:&-convert:' configure || die #413183
+
+ # https://bugs.gentoo.org/472766
+ shopt -s nullglob
+ cards=$(echo -n /dev/dri/card* | sed 's/ /:/g')
+ if test -n "${cards}"; then
+ addpredict "${cards}"
+ fi
+ shopt -u nullglob
+}
+
+src_configure() {
+ econf \
+ $(use_enable png png-creation) \
+ $(use_enable png icon-framing)
+}
+
+src_install() {
+ addwrite /root/.gnome2
+ default
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }